Vulnerabilities (CVE)

Filtered by vendor Jetbrains Subscribe
Total 175 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2020-29582 1 Jetbrains 1 Kotlin 2021-06-17 5.0 MEDIUM 5.3 MEDIUM
In JetBrains Kotlin before 1.4.21, a vulnerable Java API was used for temporary file and folder creation. An attacker was able to read data from such files and list directories due to insecure permissions.
CVE-2021-30482 1 Jetbrains 1 Upsource 2021-05-20 5.0 MEDIUM 7.5 HIGH
In JetBrains UpSource before 2020.1.1883, application passwords were not revoked correctly
CVE-2021-31898 1 Jetbrains 1 Webstorm 2021-05-20 5.0 MEDIUM 7.5 HIGH
In JetBrains WebStorm before 2021.1, HTTP requests were used instead of HTTPS.
CVE-2021-30005 1 Jetbrains 1 Pycharm 2021-05-19 4.6 MEDIUM 7.8 HIGH
In JetBrains PyCharm before 2020.3.4, local code execution was possible because of insufficient checks when getting the project from VCS.
CVE-2021-31897 1 Jetbrains 1 Webstorm 2021-05-19 7.5 HIGH 9.8 CRITICAL
In JetBrains WebStorm before 2021.1, code execution without user confirmation was possible for untrusted projects.
CVE-2021-26309 1 Jetbrains 1 Teamcity 2021-05-19 2.1 LOW 3.3 LOW
Information disclosure in the TeamCity plugin for IntelliJ before 2020.2.2.85899 was possible because a local temporary file had Insecure Permissions.
CVE-2021-26310 1 Jetbrains 1 Teamcity 2021-05-19 5.0 MEDIUM 7.5 HIGH
In the TeamCity IntelliJ plugin before 2020.2.2.85899, DoS was possible.
CVE-2021-31900 1 Jetbrains 1 Code With Me 2021-05-18 5.0 MEDIUM 5.3 MEDIUM
In JetBrains Code With Me bundled to the compatible IDE versions before 2021.1, a client could open a browser on a host.
CVE-2021-31899 1 Jetbrains 1 Code With Me 2021-05-18 6.5 MEDIUM 8.8 HIGH
In JetBrains Code With Me bundled to the compatible IDEs before version 2021.1, the client could execute code in read-only mode.
CVE-2021-31901 1 Jetbrains 1 Hub 2021-05-17 5.0 MEDIUM 7.5 HIGH
In JetBrains Hub before 2021.1.13079, two-factor authentication wasn't enabled properly for the All Users group.
CVE-2021-29263 1 Jetbrains 1 Intellij Idea 2021-05-17 4.6 MEDIUM 7.8 HIGH
In JetBrains IntelliJ IDEA 2020.3.3, local code execution was possible because of insufficient checks when getting the project from VCS.
CVE-2021-30006 1 Jetbrains 1 Intellij Idea 2021-05-17 5.0 MEDIUM 7.5 HIGH
In IntelliJ IDEA before 2020.3.3, XXE was possible, leading to information disclosure.
CVE-2021-27733 1 Jetbrains 1 Youtrack 2021-05-17 3.5 LOW 5.4 MEDIUM
In JetBrains YouTrack before 2020.6.6441, stored XSS was possible via an issue attachment.
CVE-2021-31903 1 Jetbrains 1 Youtrack 2021-05-17 4.3 MEDIUM 6.1 MEDIUM
In JetBrains YouTrack before 2021.1.9819, a pull request's title was sanitized insufficiently, leading to XSS.
CVE-2021-31902 1 Jetbrains 1 Youtrack 2021-05-17 5.0 MEDIUM 7.5 HIGH
In JetBrains YouTrack before 2020.6.6600, access control during the exporting of issues was implemented improperly.
CVE-2021-31910 1 Jetbrains 1 Teamcity 2021-05-17 5.0 MEDIUM 7.5 HIGH
In JetBrains TeamCity before 2020.2.3, information disclosure via SSRF was possible.
CVE-2021-31912 1 Jetbrains 1 Teamcity 2021-05-17 6.8 MEDIUM 8.8 HIGH
In JetBrains TeamCity before 2020.2.3, account takeover was potentially possible during a password reset.
CVE-2021-31913 1 Jetbrains 1 Teamcity 2021-05-17 5.0 MEDIUM 7.5 HIGH
In JetBrains TeamCity before 2020.2.3, insufficient checks of the redirect_uri were made during GitHub SSO token exchange.
CVE-2021-31914 2 Jetbrains, Microsoft 2 Teamcity, Windows 2021-05-17 7.5 HIGH 9.8 CRITICAL
In JetBrains TeamCity before 2020.2.4 on Windows, arbitrary code execution on TeamCity Server was possible.
CVE-2021-31915 1 Jetbrains 1 Teamcity 2021-05-17 7.5 HIGH 9.8 CRITICAL
In JetBrains TeamCity before 2020.2.4, OS command injection leading to remote code execution was possible.